#!/usr/bin/env python

import re
query = re.compile("(?P<non_literal>[^']+)|(?P<literal>'(?:[^']|(?:''))*')")

def parseString(s):
    regions = []
    first = 1
    for match in query.finditer(s):
        non_literal, literal = match.groups()
        if first and literal:
            regions.append("")
        if non_literal:
            regions.append(non_literal)
        elif literal:
            regions.append(literal)
        first = 0
            
    return regions

# vim: tabstop=4 expandtab shiftwidth=4
